Skip to content

getMaintenanceDispatchesByLocation

READ

Get maintenance dispatches by location.

POST /api/v1/resources/getMaintenanceDispatchesByLocation
curl -X POST '<your-host>/api/v1/resources/getMaintenanceDispatchesByLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string"
  }'
Response
{
  "results": [
    {
      "actualEndTime": "string",
      "actualFailureModeId": "string",
      "actualStartTime": "string",
      "assignee": "string",
      "companyId": "string",
      "completedAt": "string",
      "content": "…",
      "createdAt": "string",
      "createdBy": "string",
      "duration": 0,
      "id": "string",
      "locationId": "string",
      "locationName": "string",
      "maintenanceDispatchId": "string",
      "maintenanceScheduleId": "string",
      "nonConformanceId": "string",
      "oeeImpact": "Planned",
      "plannedEndTime": "string",
      "plannedStartTime": "string",
      "priority": "Low",
      "severity": "Preventive",
      "source": "Non-Conformance",
      "status": "Open",
      "suspectedFailureModeId": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "workCenterId": "string",
      "workCenterName": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "status": {
          "type": "string"
        }
      }
    }
  },
  "required": [
    "locationId"
  ]
}